#include <bits/stdc++.h>

#define ll long long
#define ull unsigned long long
#define rep(i,n) for(int i=0;i<n;i++)
#define pb push_back
#define all(a) a.begin(), a.end()
#define rall(a) a.rbegin(), a.rend()
using namespace std;

int main(){
    int n; scanf("%d", &n);
    vector<pair<double, double>> a(n);
    rep(i,n){
        double x, y;
        scanf("%lf", &x);
        scanf("%lf", &y);
        y/=100;
        a[i] = make_pair(y,x);
    }
    sort(all(a));
    double ans = 0;
    int l = 0, r = n-1;
    int mid;
    double loc;
    vector<int> visited(n);
    while(r>=l){
        loc = 0;
        mid = l+(r-l)/2;
        if(visited[mid]>0) break;
        visited[mid]++;
        rep(i,n){
            if(a[mid].first <= a[i].first) loc+=a[i].second;
        }
        loc*=a[mid].first;
        if(loc > ans){
            ans = loc;
            l = mid+1;
        }
        else{
            r = mid-1;
        }
    }
    printf("%.4lf", ans);
    return 0;
}